import java.util.Locale;
public class NewLocalesDemo {

    public static void main(String[] args) {

        // new locales in Java 6
        String[] localeIdList = {"zh_SG", "en_MT", "en_PH", "en_SG",
                "el_CY", "in_ID", "ja_JP", "ms_MY", "mt_MT", 
                "es_US"};

        System.out.println("New Supported Locales in JDK 6:\n");
        System.out.println("LocaleID = Language (Country)");
        System.out.println("------------------------------");

        for (String localeId : localeIdList) {
            String[] s = localeId.split("_");
            String language = s[0];
            String country = s[1];
            Locale locale = new Locale(language, country);
            String displayCountry = locale.getDisplayName();
            System.out.println(localeId + "    = " + displayCountry);
        }
    }
}
